package com.yonge.cooleshow.biz.dal.wrapper.teacher;

import com.yonge.cooleshow.biz.dal.enums.CourseScheduleEnum;
import com.yonge.cooleshow.biz.dal.enums.GoodTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

public class TeacherHomeWrapper {


    @Data
    public static class TeacherTotalCourseQuery{

        @ApiModelProperty("老师ID")
        private Long teacherId;

        @ApiModelProperty("开始时间")
        private Date startTime;

        @ApiModelProperty("结束时间")
        private Date endTime;

    }

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class TeacherTotalCourse{


        @ApiModelProperty("购买数量")
        private Integer buyNum =0;

        @ApiModelProperty("课时数量")
        private Integer classHourNum = 0;

        @ApiModelProperty("类型 PRACTICE:趣纠课，VIP_COURSE:VIP课,LIVE:直播课,VIDEO:视频课")
        private GoodTypeEnum goodType;
    }
}
